=== debian/changelog ===
gitaly (1.78.0+dfsg-2) unstable; urgency=medium

  * Reupload to unstable
  * Build with golang 1.13
  * Allow grpc and google-protobuf from unstable in ruby/Gemfile
  * Allow ruby-grpc and ruby-google-protobuf from unstable

 -- Pirate Praveen <praveen@debian.org>  Mon, 13 Jan 2020 23:35:57 +0530

gitaly (1.78.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.78.0+dfsg
  * Add golang-github-lib-pq-dev as build dependency
  * Use golang version of grpc from system

 -- Pirate Praveen <praveen@debian.org>  Wed, 01 Jan 2020 00:41:02 +0530

gitaly (1.72.1+dfsg-2) experimental; urgency=medium

  * Relax dependency on grpc and google-protobuf in ruby/Gemfile
    (This fixes 503 errors when using older versions of grpc and protobuf)

 -- Pirate Praveen <praveen@debian.org>  Mon, 30 Dec 2019 17:33:27 +0530

gitaly (1.72.1+dfsg-1) experimental; urgency=medium

  * New upstream version 1.72.1+dfsg
  * Add golang-goprotobuf-dev as build dependency
  * Refresh patches
  * Bump minimum version of ruby-github-linguist to 7.5

 -- Pirate Praveen <praveen@debian.org>  Wed, 25 Dec 2019 22:39:55 +0530

gitaly (1.67.1+dfsg-1) experimental; urgency=medium

  * Update README.source
  * New upstream version 1.67.1+dfsg

 -- Pirate Praveen <praveen@debian.org>  Mon, 23 Dec 2019 17:50:56 +0530

gitaly (1.65.2+dfsg-1) experimental; urgency=medium

  * New upstream version 1.65.2+dfsg (Fixes: CVE-2019-19260)
  * Update minimum version of ruby-gitlab-labkit labkit to 0.5~

 -- Pirate Praveen <praveen@debian.org>  Fri, 29 Nov 2019 12:24:29 +0530

gitaly (1.59.3+dfsg-2) experimental; urgency=medium

  * Tighten build dependncy on grpc and protobuf
  * Tighten dependency on ruby-activesupport
  * Allow protobuf 3.7.1 and grpc 1.19.1 as runtime dependency (to fix gitlab
    ssh access breakage). See #942633 for details.

 -- Pirate Praveen <praveen@debian.org>  Wed, 20 Nov 2019 15:42:46 +0530

gitaly (1.59.3+dfsg-1) experimental; urgency=medium

  [ Utkarsh Gupta ]
  * New upstream version 1.59.3+dfsg

  [ Pirate Praveen ]
  * Drop dh_auto_configure and move _support/generate-proto-ruby to
    override_dh_auto_build

 -- Pirate Praveen <praveen@debian.org>  Thu, 24 Oct 2019 22:46:00 +0530

gitaly (1.58.0+dfsg-2) experimental; urgency=medium

  * Binary included upload to work around buildd failure. 

 -- Pirate Praveen <praveen@debian.org>  Tue, 22 Oct 2019 18:45:54 +0530

gitaly (1.58.0+dfsg-1) experimental; urgency=medium

  * New upstream version 1.58.0+dfsg
  * Bump Standards-Version to 4.4.1 (no changes needed)
  * Generate new binary ruby-gitaly
  * Remove generated files

 -- Sruthi Chandran <srud@debian.org>  Sun, 20 Oct 2019 22:54:28 +0530

gitaly (1.53.3+debian-1) experimental; urgency=medium

  * New upstream version 1.53.3+debian

 -- Sruthi Chandran <srud@debian.org>  Mon, 30 Sep 2019 18:29:01 +0530

gitaly (1.47.3+debian-1) experimental; urgency=medium

  * New upstream version 1.47.3+debian
  * Refresh patches
  * Reintroduce vendor/ to embed dependencies

 -- Sruthi Chandran <srud@debian.org>  Fri, 27 Sep 2019 17:13:01 +0530

gitaly (1.42.5+debian-1) experimental; urgency=medium

  * New upstream version 1.42.5+debian
  * Bump Standards-Version to 4.4.0 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Sun, 11 Aug 2019 15:19:04 +0530
