=== debian/changelog ===
gitaly (13.2.1+dfsg-2) unstable; urgency=medium

  * Add ruby-bundler as dependency (fixes piuparts installation failure)
  * Add conflicts libruby2.5 (to make sure all native packages are updated)

 -- Pirate Praveen <praveen@debian.org>  Mon, 10 Aug 2020 15:37:49 +0530

gitaly (13.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version 13.2.1+dfsg

 -- Pirate Praveen <praveen@debian.org>  Sun, 09 Aug 2020 22:27:40 +0530

gitaly (13.1.0+dfsg-1) experimental; urgency=medium

  * New upstream version 13.1.0+dfsg
  * Update minimum version of gitlab-shell to 13.3
  * Add gitlab section and configure url to gitlab-workhorse.socket

 -- Pirate Praveen <praveen@debian.org>  Mon, 22 Jun 2020 23:57:55 +0530

gitaly (13.0.6+dfsg-1) experimental; urgency=medium

  * Update minimum versions of build depends (for backports)
  * ruby/Gemfile.lock is excluded from source tar (no need to remove it again)
  * New upstream version 13.0.6+dfsg

 -- Pirate Praveen <praveen@debian.org>  Sat, 13 Jun 2020 15:23:11 +0530

gitaly (13.0.0+dfsg-1) experimental; urgency=medium

  * Drop github.com/cloudflare/tableflip (use packaged version)
  * Drop github.com/dchest/safefile from vendor (use packaged version)
  * Drop github.com/google/shlex (not used)
  * New upstream version 13.0.0+dfsg
  * Refresh patches
  * Add gitlab-shell as build dependency
  * Exclude ruby/Gemfile.lock from future versions
  * Tighten dependencies
  * Add grpc-tools conditionally in ruby/Gemfile (only needed during build)

 -- Pirate Praveen <praveen@debian.org>  Sat, 30 May 2020 21:09:01 +0530

gitaly (12.10.0+dfsg-1) experimental; urgency=medium

  * Drop modules from vendor: gopkg.in/yaml.v2 github.com/wadey/gocovmerge
    github.com/uber/jaeger-lib github.com/uber/jaeger-client-go
    github.com/tinylib/msgp github.com/Bowery/prompt
    github.com/certifi/gocertifi gopkg.in/gorp.v1
    gopkg.in/DataDog/dd-trace-go.v1 github.com/rubenv/sql-migrate
    golang.org/x/tools golang.org/x/lint google.golang.org/genproto
    github.com/client9/reopen
  * New upstream version 12.10.0+dfsg
  * Refresh patches
  * Drop github.com/prometheus/client_golang from vendor
  * Relax dependency on grpc gem to use packaged version
  * Update README.source
  * Tighten dependencies

 -- Pirate Praveen <praveen@debian.org>  Wed, 22 Apr 2020 23:33:13 +0530

gitaly (12.9.3+dfsg-1) experimental; urgency=medium

  * New upstream version 12.9.3+dfsg
  * Add missing copyright notices for vendor/*

 -- Pirate Praveen <praveen@debian.org>  Wed, 15 Apr 2020 17:31:03 +0530

gitaly (12.9.2+dfsg-2) experimental; urgency=medium

  * Tighten dependency on ruby-grpc (for backports)
  * Add gitlab-common binary (moved from src:gitlab)

 -- Pirate Praveen <praveen@debian.org>  Sun, 12 Apr 2020 18:49:56 +0530

gitaly (12.9.2+dfsg-1) experimental; urgency=medium

  * New upstream version 12.9.2+dfsg (Closes: #956302)
  * Bump Standards-Version to 4.5.0 (no changes needed)
  * Refresh patches
  * Update build dependencies
  * Update minimum version of ruby-gollum-lib to 4.2.7.8
  * Update gitlab-labkit to 0.11.0

 -- Pirate Praveen <praveen@debian.org>  Thu, 09 Apr 2020 20:04:32 +0530

gitaly (1.86.0+dfsg1-1) experimental; urgency=medium

  [ Abhijith PA ]
  * New upstream release.
  * Refresh patches
  * Update copyright for;
    + vendor/github.com/rubenv/sql-migrate
    + vendor/gopkg.in/gorp.v1

  [ Pirate Praveen ]
  * Update dependency on activesupport and gitlab-labkit

 -- Pirate Praveen <praveen@debian.org>  Fri, 13 Mar 2020 18:36:33 +0530
