## gitaly 13.3.0+dfsg

=== debian/changelog ===
gitaly (13.3.0+dfsg-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 13.3.0+dfsg
  * Updated Patches
  * Add Upstream Metadata
  * Delete ruby/Gemfile.lock while cleaning

 -- Abraham Raji <avronr@tuta.io>  Thu, 24 Sep 2020 15:47:16 +0000

gitaly (13.2.1+dfsg-3) unstable; urgency=medium

  * Update minimum version of gitlab-shell (for using unix socket for
    gitlab_url in preparation of switching to puma)

 -- Pirate Praveen <praveen@debian.org>  Thu, 20 Aug 2020 23:01:38 +0530
