=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 11~),
  dh-golang (>= 1.43~),
  golang-any (>= 2:1.13~),
- gitlab-shell (>= 13.2~),
+ gitlab-shell (>= 13.6~),
  golang-github-beorn7-perks-dev,
  golang-github-burntsushi-toml-dev,
  golang-github-client9-reopen-dev,
@@ -122,7 +122,7 @@
  adduser (>= 3.34~),
  git (>= 1:2.24~),
  ucf,
- gitlab-shell (>= 13.3~)
+ gitlab-shell (>= 13.6~)
 Description: git powered software platform to collaborate on code (common)
  gitlab provides web based interface to host source code and track issues.
  It allows anyone for fork a repository and send merge requests. Code review
