=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 export DH_RUBY = --gem-install
 export DH_RUBY_USE_DH_AUTO_INSTALL_DESTDIR = debian/ruby-gitaly
 export GEM2DEB_TEST_RUNNER = --check-dependencies
+export RAILS_ENV = development # for bundle install --local test
 
 include /usr/share/dpkg/pkg-info.mk
 ## Set some build variables as per Makefile:
@@ -17,9 +18,9 @@
 %:
 	dh $@  --buildsystem=golang --with=golang --package=gitaly
 	dh $@  --buildsystem=ruby --with=ruby --package=ruby-gitaly
+	dh $@  --package=gitlab-common
 
-override_dh_clean:
-	dh_clean
+override_dh_auto_clean:
 	rm -rf ruby/proto/gitaly/*_pb.rb
 	dh_auto_clean -O--buildsystem=golang -O--package=gitaly
 	dh_auto_clean -O--buildsystem=ruby -O--package=ruby-gitaly
@@ -27,7 +28,7 @@
 override_dh_auto_build:
 	dh_auto_build -O--buildsystem=golang -O--package=gitaly -- \
 	   -ldflags "$(GO_LDFLAGS)"
-	_support/generate-proto-ruby
+	RAILS_ENV=$(RAILS_ENV) _support/generate-proto-ruby
 	dh_auto_build -O--buildsystem=ruby -O--package=ruby-gitaly
 
 override_dh_auto_test:
@@ -36,8 +37,9 @@
 	dh_auto_test -O--buildsystem=ruby -O--package=ruby-gitaly
 	# Test if ruby dependencies are satisfied
 	TMPDIR=$$(mktemp -d); cp ruby/Gemfile $$TMPDIR; cd $$TMPDIR;\
-        bundle install --local || exit 1;\
-        rm $$TMPDIR/Gemfile*; rmdir $$TMPDIR
+        RAILS_ENV=$(RAILS_ENV) bundle install --local || exit 1;\
+        rm $$TMPDIR/Gemfile* $$TMPDIR/.bundle/config;\
+       	rmdir $$TMPDIR/config; rmdir $$TMPDIR
 endif
 
 override_dh_auto_install:
