## gitaly 13.3.9+dfsg

=== Makefile ===
--- 
+++ 
@@ -50,29 +50,22 @@
 GITALY_VERSION  := $(shell git describe --match v* 2>/dev/null | sed 's/^v//' || cat ${SOURCE_DIR}/VERSION 2>/dev/null || echo unknown)
 GO_LDFLAGS      := -ldflags '-X ${GITALY_PACKAGE}/internal/version.version=${GITALY_VERSION} -X ${GITALY_PACKAGE}/internal/version.buildtime=${BUILD_TIME}'
 GO_TEST_LDFLAGS := -X gitlab.com/gitlab-org/gitaly/auth.timestampThreshold=5s
-GO_BUILD_TAGS   := tracer_static tracer_static_jaeger continuous_profiler_stackdriver
+GO_BUILD_TAGS   := tracer_static,tracer_static_jaeger,continuous_profiler_stackdriver
 
 # Dependency versions
 GOLANGCI_LINT_VERSION ?= 1.27.0
-PROTOC_VERSION        ?= 3.6.1
+PROTOC_VERSION        ?= 3.12.4
 PROTOC_GEN_GO_VERSION ?= 1.3.2
 GIT_VERSION           ?= v2.27.0
 
 # Dependency downloads
 ifeq (${OS},Darwin)
     PROTOC_URL            ?= https://github.com/protocolbuffers/protobuf/releases/download/v${PROTOC_VERSION}/protoc-${PROTOC_VERSION}-osx-x86_64.zip
-    PROTOC_HASH           ?= 0decc6ce5beed07f8c20361ddeb5ac7666f09cf34572cca530e16814093f9c0c
-    GOLANGCI_LINT_ARCHIVE ?= golangci-lint-${GOLANGCI_LINT_VERSION}-darwin-amd64
-    GOLANGCI_LINT_HASH    ?= 3fb1a1683a29c6c0a8cd76135f62b606fbdd538d5a7aeab94af1af70ffdc2fd4
+    PROTOC_HASH           ?= 210227683a5db4a9348cd7545101d006c5829b9e823f3f067ac8539cb387519e
 else ifeq (${OS},Linux)
     PROTOC_URL            ?= https://github.com/protocolbuffers/protobuf/releases/download/v${PROTOC_VERSION}/protoc-${PROTOC_VERSION}-linux-x86_64.zip
-    PROTOC_HASH           ?= 6003de742ea3fcf703cfec1cd4a3380fd143081a2eb0e559065563496af27807
-    GOLANGCI_LINT_ARCHIVE ?= golangci-lint-${GOLANGCI_LINT_VERSION}-linux-amd64
-    GOLANGCI_LINT_HASH    ?= 8d345e4e88520e21c113d81978e89ad77fc5b13bfdf20e5bca86b83fc4261272
-else
-    $(error Unsupported OS: ${OS})
+    PROTOC_HASH           ?= d0d4c7a3c08d3ea9a20f94eaface12f5d46d7b023fe2057e834a4181c9e93ff3
 endif
-GOLANGCI_LINT_URL ?= https://github.com/golangci/golangci-lint/releases/download/v${GOLANGCI_LINT_VERSION}/${GOLANGCI_LINT_ARCHIVE}.tar.gz
 
 # Git target
 GIT_REPO_URL      ?= https://gitlab.com/gitlab-org/gitlab-git.git
@@ -119,7 +112,6 @@
 
 unexport GOROOT
 export GOBIN        = ${BUILD_DIR}/bin
-export GO111MODULE  = on
 export GOPROXY     ?= https://proxy.golang.org
 export PATH        := ${BUILD_DIR}/bin:${PATH}
 
@@ -206,7 +198,7 @@
 
 .PHONY: test-postgres
 test-postgres: prepare-tests
-	${Q}go test -tags postgres -count=1 gitlab.com/gitlab-org/gitaly/internal/praefect/...
+	${Q}go test -tags "${GO_BUILD_TAGS}",postgres -count=1 gitlab.com/gitlab-org/gitaly/internal/praefect/...
 
 .PHONY: verify
 verify: check-mod-tidy check-formatting notice-up-to-date check-proto rubocop
@@ -217,7 +209,7 @@
 
 .PHONY: lint
 lint: ${GOLANGCI_LINT}
-	${Q}${GOLANGCI_LINT} cache clean && ${GOLANGCI_LINT} run --out-format tab --config ${SOURCE_DIR}/.golangci.yml
+	${Q}${GOLANGCI_LINT} cache clean && ${GOLANGCI_LINT} run --build-tags "${GO_BUILD_TAGS}" --out-format tab --config ${SOURCE_DIR}/.golangci.yml
 
 .PHONY: check-formatting
 check-formatting: ${GITALYFMT}
@@ -231,7 +223,7 @@
 
 .PHONY: staticcheck-deprecations
 staticcheck-deprecations: ${GOLANGCI_LINT}
-	${Q}${GOLANGCI_LINT} run --out-format tab --config ${SOURCE_DIR}/_support/golangci.warnings.yml
+	${Q}${GOLANGCI_LINT} run --build-tags "${GO_BUILD_TAGS}" --out-format tab --config ${SOURCE_DIR}/_support/golangci.warnings.yml
 
 .PHONY: lint-warnings
 lint-warnings: staticcheck-deprecations
@@ -263,7 +255,7 @@
 	${Q}echo "NOTE: make cover does not exit 1 on failure, don't use it to check for tests success!"
 	${Q}mkdir -p "${COVERAGE_DIR}"
 	${Q}rm -f "${COVERAGE_DIR}/all.merged" "${COVERAGE_DIR}/all.html"
-	${Q}go test -ldflags='${GO_TEST_LDFLAGS}' -coverprofile "${COVERAGE_DIR}/all.merged" $(call find_go_packages)
+	${Q}go test -tags "${GO_BUILD_TAGS}" -ldflags='${GO_TEST_LDFLAGS}' -coverprofile "${COVERAGE_DIR}/all.merged" $(call find_go_packages)
 	${Q}go tool cover -html  "${COVERAGE_DIR}/all.merged" -o "${COVERAGE_DIR}/all.html"
 	${Q}echo ""
 	${Q}echo "=====> Total test coverage: <====="
@@ -294,3 +286,17 @@
 proto-lint: ${PROTOC} ${PROTOC_GEN_GO}
 	${Q}mkdir -p ${SOURCE_DIR}/proto/go/gitalypb
 	${Q}rm -rf ${SOURCE_DIR}/proto/go/gitalypb/*.pb.go
+	${PROTOC} --go_out=paths=source_relative:./proto/go/gitalypb -I./proto ./proto/lint.proto
+
+.PHONY: no-changes
+no-changes:
+	${Q}git status --porcelain | awk '{ print } END { if (NR > 0) { exit 1 } }'
+
+.PHONY: smoke-test
+smoke-test: all rspec
+	${Q}go test -tags "${GO_BUILD_TAGS}" ./internal/rubyserver
+
+.PHONY: download-git
+download-git: ${BUILD_DIR}/git_full_bins.tgz
+	${Q}rm -rf ${GIT_INSTALL_DIR}
+	${Q}mkdir -p ${GIT_INSTALL_DIR}
