=== debian/changelog ===
gitaly (13.3.9+dfsg-1) unstable; urgency=medium

  * New upstream version 13.3.9+dfsg

 -- Pirate Praveen <praveen@debian.org>  Sat, 07 Nov 2020 15:33:39 +0530

gitaly (13.3.0+dfsg-2) unstable; urgency=medium

  * Source only upload for migration to testing (gem2deb now fixed to work with
    new version of bundler)

 -- Pirate Praveen <praveen@debian.org>  Tue, 03 Nov 2020 22:46:19 +0530
